## phonon 4.7.0really4.4.2

=== includes/CMakeLists.txt ===
install( FILES
    phonon/AbstractAudioOutput
    phonon/AbstractMediaStream
    phonon/AbstractVideoOutput
    phonon/AddonInterface
    phonon/AudioCaptureDevice
    phonon/AudioCaptureDeviceModel
    phonon/AudioChannelDescription
    phonon/AudioChannelDescriptionModel
    phonon/AudioOutput
    phonon/AudioOutputDevice
    phonon/AudioOutputDeviceModel
    phonon/AudioOutputInterface
    phonon/AudioOutputInterface40
    phonon/AudioOutputInterface42
    phonon/BackendCapabilities
    phonon/BackendInterface
    phonon/Effect
    phonon/EffectDescription
    phonon/EffectDescriptionModel
    phonon/EffectInterface
    phonon/EffectParameter
    phonon/EffectWidget
    phonon/Global
    phonon/MediaController
    phonon/MediaNode
    phonon/MediaObject
    phonon/MediaObjectInterface
    phonon/MediaSource
    phonon/ObjectDescription
    phonon/ObjectDescriptionData
    phonon/ObjectDescriptionModel
    phonon/ObjectDescriptionModelData
    phonon/Path
    phonon/PlatformPlugin
    phonon/SeekSlider
    phonon/StreamInterface
    phonon/SubtitleDescription
    phonon/SubtitleDescriptionModel
    phonon/VideoPlayer
    phonon/VideoWidget
    phonon/VideoWidgetInterface
    phonon/VideoWidgetInterface44
    phonon/VideoWidgetInterfaceLatest
    phonon/VolumeFaderEffect
    phonon/VolumeFaderInterface
    phonon/VolumeSlider
DESTINATION ${INCLUDE_INSTALL_DIR}/phonon COMPONENT Devel)


install( FILES
  old/Phonon/AbstractAudioOutput
  old/Phonon/AbstractMediaStream
  old/Phonon/AbstractVideoOutput
  old/Phonon/AddonInterface
  old/Phonon/AudioDevice
  old/Phonon/AudioDeviceEnumerator
  old/Phonon/AudioOutput
  old/Phonon/AudioOutputDevice
  old/Phonon/AudioOutputDeviceModel
  old/Phonon/AudioOutputInterface
  old/Phonon/BackendCapabilities
  old/Phonon/BackendInterface
  old/Phonon/Effect
  old/Phonon/EffectDescription
  old/Phonon/EffectDescriptionModel
  old/Phonon/EffectInterface
  old/Phonon/EffectParameter
  old/Phonon/EffectWidget
  old/Phonon/Global
  old/Phonon/MediaController
  old/Phonon/MediaNode
  old/Phonon/MediaObject
  old/Phonon/MediaObjectInterface
  old/Phonon/MediaSource
  old/Phonon/ObjectDescription
  old/Phonon/ObjectDescriptionModel
  old/Phonon/Path
  old/Phonon/PlatformPlugin
  old/Phonon/SeekSlider
  old/Phonon/StreamInterface
  old/Phonon/VideoPlayer
  old/Phonon/VideoWidget
  old/Phonon/VideoWidgetInterface
  old/Phonon/VolumeFaderEffect
  old/Phonon/VolumeFaderInterface
  old/Phonon/VolumeSlider
DESTINATION ${INCLUDE_INSTALL_DIR}/KDE/Phonon COMPONENT Devel)

install(FILES
  old/Phonon/Experimental/AbstractVideoDataOutput
  old/Phonon/Experimental/AudioDataOutput
  old/Phonon/Experimental/SnapshotInterface
  old/Phonon/Experimental/VideoDataOutput
  old/Phonon/Experimental/VideoDataOutputInterface
  old/Phonon/Experimental/VideoFrame
  old/Phonon/Experimental/VideoFrame2
  old/Phonon/Experimental/Visualization
DESTINATION ${INCLUDE_INSTALL_DIR}/KDE/Phonon/Experimental COMPONENT Devel)

=== debian/changelog ===
phonon (4:4.7.0really4.4.2-0ubuntu1common0hedley1) lucid; urgency=low

  * Branched from lp:ubuntu/phonon at maverick tag 4:4.7.0really4.4.2-0ubuntu1
    to rebuild for lucid-based Hedley project
  * debian/control: Add Vcs-Bzr: lp:~hedley-team/hedley/phonon

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Fri, 15 Oct 2010 12:53:10 -0400

phonon (4:4.7.0really4.4.2-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Switch to source format 3.0 (quilt)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 07 Jun 2010 18:17:03 -0400

phonon (4:4.7.0really4.4.1-0ubuntu3) maverick; urgency=low

  * Bump the Breaks version too. I really should have test installed that.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 20 May 2010 23:37:54 -0400

phonon (4:4.7.0really4.4.1-0ubuntu2) maverick; urgency=low

  * Bump version number so that the phonon packages are installable

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 20 May 2010 23:18:01 -0400

phonon (4:4.6.2really4.4.1-0ubuntu1) maverick; urgency=low

  * Sync with Debian, now packaging separately from Qt since QtWebKit is also packaged separately
  * Bump version number to match ours
  * Bump Qt build-depends to 4.7

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 May 2010 10:13:24 +0000

=== debian/control ===
Source: phonon
Section: sound
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7.4.13), quilt, cmake (>= 2.6.2),
 pkg-kde-tools (>= 0.6.4), dpkg-dev (>= 1.15.5), automoc,
 libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libglib2.0-dev, libglu1-mesa-dev, libgstreamer-plugins-base0.10-dev, libgstreamer0.10-dev,
 libpulse-dev (>= 0.9.21), libqt4-dev (>= 4.7), libqt4-opengl-dev (>= 4.7),
 libxine-dev (>= 1.1.16.3), libxml2-dev
Build-Conflicts: libxine2
Standards-Version: 3.8.4
Homepage: http://www.kde.org/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/phonon/#_trunk_packages_phonon_
Vcs-Svn: svn://svn.debian.org/pkg-kde/trunk/packages/phonon
Vcs-Bzr: lp:~hedley-team/hedley/phonon

Package: phonon
Architecture: all
Depends: ${misc:Depends}, libphonon4 (>= ${source:Version}),
 phonon-backend-xine | phonon-backend
Suggests: phonon-backend-xine, phonon-backend-gstreamer, phonon-backend-vlc,
 phonon-backend-mplayer
Description: metapackage for the Phonon multimedia framework
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This metapackage ensures that a user has working Phonon configuration
 installed on the system (the core library and at least one backend).

Package: libphonon-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libphonon4 (= ${binary:Version}),
 ${sameVersionDep:libqt4-dev:libphonon4}
Replaces: kdelibs5-dev (<< 4:4.0.81)
Description: development files for the Phonon multimedia framework
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the development files needed to build Qt 4 applications
 using Phonon cross-platform multimedia framework.

Package: libphonon4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdelibs5 (<= 4:4.0.80)
Breaks: phonon-backend-xine (<< 4:4.7.0really4.3.80)
Description: the core library of the Phonon multimedia framework
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the core library of the Phonon cross-platform multimedia
 framework for Qt 4.  It is required to run applications that use Phonon.

Package: phonon-backend-xine
Architecture: any
Provides: phonon-backend
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xine-x:Depends}
Replaces: kde-icons-oxygen (<< 4:4.1.80)
Description: Phonon Xine 1.1.x backend
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the Xine 1.1.x backend for Phonon.

Package: phonon-backend-gstreamer
Architecture: any
Provides: phonon-backend
Depends: ${shlibs:Depends}, ${misc:Depends},
 gstreamer0.10-plugins-base, gstreamer0.10-alsa [linux-any]
Recommends: gstreamer0.10-plugins-good
Suggests: gstreamer0.10-plugins-ugly
Description: Phonon GStreamer 0.10.x backend
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains GStreamer 0.10.x backend for Phonon.
 .
 You should install gstreamer0.10-plugins-good to get support for playing
 popular free multimedia formats and gstreamer0.10-plugins-ugly to get support
 for popular MPEG audio formats like MP3.

Package: phonon-backend-null
Architecture: all
Provides: phonon-backend
Depends: libphonon4, ${misc:Depends}
Conflicts: phonon-backend
Description: Phonon null backend (no real backend)
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package does not provide any real Phonon backend. It can be used to
 disable Phonon audio/video capabilities. Please note that Phonon behaviour 
 with this package installed has not been well tested.

Package: phonon-dbg
Priority: extra
Architecture: any
Section: debug
Depends: ${misc:Depends}, libphonon4 (= ${binary:Version})
Conflicts: phonon-backends-dbg
Replaces: phonon-backends-dbg
Suggests: phonon-backend-xine (= ${binary:Version}),
 phonon-backend-gstreamer (= ${binary:Version})
Description: Phonon debugging symbols
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains debugging symbols of the Phonon library and main
 backends You should install this package when you are about to report a crash
 or want to debug a problem with Phonon or its backends.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

UPSTREAMVERSION ?= $(shell dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: \(.*\)-.*/\1/')

DEB_DH_MAKESHLIBS_ARGS_libphonon4 = -V'libphonon4 (>= $(UPSTREAMVERSION)), phonon'

DEB_CMAKE_EXTRA_FLAGS += -DPLUGIN_INSTALL_DIR=/usr/lib/qt4/
DEB_DH_SHLIBDEPS_ARGS_ALL := -- -xphonon

# Strict interdependencies for backends
DEB_STRICT_LOCAL_SHLIBS_PACKAGES = $(DEB_LIBRARY_PACKAGES)
include /usr/share/pkg-kde-tools/qt-kde-team/1/library-packages.mk

binary-predeb/phonon-backend-xine::
	dh_xine -pphonon-backend-xine

=== debian/watch ===
version=3

opts=uversionmangle=s/^/4.6.0really/ \
ftp://ftp.kde.org/pub/kde/stable/phonon/([\d.]+)/ phonon-([\d.]+).tar.bz2

## phonon 4.7.0really4.5.0

=== phonon/experimental/tests/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../../../) # For phonon/ includes.

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

MACRO(PHONON_UNIT_TESTS)
	FOREACH(_testname ${ARGN})
      set(srcs ${_testname}.cpp)
      if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_testname}.qrc)
         qt4_add_resources(srcs ${_testname}.qrc)
      endif (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_testname}.qrc)
      phonon_add_unit_test(${_testname} ${srcs})
		target_link_libraries(${_testname} ${PHONON_LIBS} phononexperimental ${QT_QTTEST_LIBRARY})
	ENDFOREACH(_testname)
ENDMACRO(PHONON_UNIT_TESTS)

# same as above but using the fake backend
MACRO(PHONON_UNIT_TESTS_FAKE)
	FOREACH(_testname ${ARGN})
      set(srcs ${_testname}.cpp)
      if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_testname}.qrc)
         qt4_add_resources(srcs ${_testname}.qrc)
      endif (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_testname}.qrc)
      phonon_add_unit_test(${_testname}_fake ${srcs})
		target_link_libraries(${_testname}_fake ${PHONON_LIBS} phononexperimental ${QT_QTTEST_LIBRARY} phonon_fake)
		SET_TARGET_PROPERTIES(${_testname}_fake PROPERTIES COMPILE_FLAGS -DUSE_FAKE_BACKEND)
	ENDFOREACH(_testname)
ENDMACRO(PHONON_UNIT_TESTS_FAKE)

MACRO(PHONON_EXECUTABLE_TESTS)
   FOREACH(_testname ${ARGN})
      set(_add_executable_param)
      if (Q_WS_MAC)
         set(_add_executable_param MACOSX_BUNDLE)
      endif (Q_WS_MAC)
# this breaks compilation      
#      if (WIN32)
#         set(_add_executable_param WIN32)
#      endif (WIN32)
      if (NOT PHONON_BUILD_TESTS)
         set(_add_executable_param ${_add_executable_param} EXCLUDE_FROM_ALL)
      endif (NOT PHONON_BUILD_TESTS)
      set(srcs ${_testname}.cpp)
      if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_testname}.qrc)
         qt4_add_resources(srcs ${_testname}.qrc)
      endif (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_testname}.qrc)
      automoc4_add_executable(${_testname} ${_add_executable_param} ${srcs})
      target_link_libraries(${_testname} ${PHONON_LIBS} phononexperimental ${QT_QTTEST_LIBRARY})
   ENDFOREACH(_testname)
ENDMACRO(PHONON_EXECUTABLE_TESTS)

PHONON_EXECUTABLE_TESTS(
   videodataoutputtest
)

if (NOT PHONON_NO_CAPTURE)
    PHONON_EXECUTABLE_TESTS(
        avcapturetest
    )
endif (NOT PHONON_NO_CAPTURE)

PHONON_UNIT_TESTS_FAKE(
)

=== debian/changelog ===
phonon (4:4.7.0really4.5.0-3ubuntu4) oneiric; urgency=low

  * Fix up build to work with multiarch qt4-x11 (but don't convert
    phonon itself for multiarch).  LP: #829509.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 19 Aug 2011 21:56:00 +0000

phonon (4:4.7.0really4.5.0-3ubuntu3) oneiric; urgency=low

  * Add build-dependency on libx11-dev, fixes build
  * Update symbols files
  * Add README.Ubuntu for future reference

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 11 Aug 2011 15:14:25 +0000

phonon (4:4.7.0really4.5.0-3ubuntu2) oneiric; urgency=low

  * Add patches recommended by upstream to fix Pulseaudio integration:
   - kubuntu_phonon-4.5.0-fix-capture-categories.patch
   - kubuntu_phonon-4.5.0-fix-capture-device-pulseaudio-order.patch
   - kubuntu_phonon-4.5.0-fix-capture-devices.patch
   - kubuntu_phonon-4.5.0-fix-device-categories.patch
   - kubuntu_phonon-4.5.0-pulse-qpow.patch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 10 Aug 2011 16:19:48 +0100

phonon (4:4.7.0really4.5.0-3ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable, remainin changes:
    - Change default backend to phonon-backend-gstreamer.
    - Bump version in dependencies and symbols files from 4:4.6.0 to 4:4.7.0.
    - libphononexperimental-dev Replaces/Breaks
      libphonon-dev (<< 4:4.7.0really4.5.0-3ubuntu1~).
    - phonon-dbg Conflicts phonon-backends-dbg.
    - Add transitional package libphonon4-designer.
    - libphonon-dev Breaks/Replaces libphonon4-designer as the Qt Designer
      plugin is now part of libphonon-dev.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 25 May 2011 10:29:21 +0200

phonon (4:4.7.0really4.5.0-0ubuntu3) natty; urgency=low

  * Add missing headers in libphonon-dev.install

 -- Romain Perier <romain.perier@gmail.com>  Mon, 04 Apr 2011 21:36:22 +0200

phonon (4:4.7.0really4.5.0-0ubuntu2) natty; urgency=low

  * Upload without libqzeitgeist dependency

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Apr 2011 18:53:59 +0100

phonon (4:4.7.0really4.5.0-0ubuntu1) natty; urgency=low

  * New upstream release, LP: #750480
  * Create new package libphonon4-designer for the Qt4 Designer plugin
  * Add libqzeitgeist to build dependencies
  * debian/libphononexperimental4.install:
    Change library name to libphononexperimental4.so.4.*
  * Update symbols

 -- Romain Perier <romain.perier@gmail.com>  Tue, 29 Mar 2011 18:52:38 +0200

phonon (4:4.7.0really4.4.4-0ubuntu5) natty; urgency=low

  * Make packages that use a play, seek, stop or pause symbol
    depend on phonon. This was accidentally dropped in 4.7.0really4.4.4.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 21 Feb 2011 18:57:34 +0100

phonon (4:4.7.0really4.4.4-0ubuntu4) natty; urgency=low

  * No-change rebuild against Qt 4:4.7.1-0ubuntu9 which has a changed inline
    function to fix LP 705689, this however causes a segfault in libphonon.

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 18 Feb 2011 01:09:21 +0100

phonon (4:4.7.0really4.4.4-0ubuntu3) natty; urgency=low

  * Re-add phonon to shlibdeps in libphonon4.symbols.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 04 Feb 2011 10:06:10 +0100

phonon (4:4.7.0really4.4.4-0ubuntu2) natty; urgency=low

  * Update symbol file for armel to fix FTBFS.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 26 Jan 2011 11:39:56 +0100

phonon (4:4.7.0really4.4.4-0ubuntu1) natty; urgency=low

  * New upstream release
  * Xine and GStreamer backends now split out source, remove build-deps and
    binary packages from debian/control
  * Remove 02_no_rpath.patch, now upstream
  * Disable kubuntu04_no_va_mangle.patch, no longer applies
  * Remove kubuntu_05_gst_codec_installer_window_id.diff, kubuntu_06_forward_events.diff,
    kubuntu_07_include_fix.diff, gstreamer now separate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 24 Jan 2011 10:12:11 +0000

phonon (4:4.7.0really4.4.3-0ubuntu4) natty; urgency=low

  * Add kubuntu_05_gst_codec_installer_window_id.diff
    http://gitorious.org/phonon/phonon/commit/171b1c677852083a8ca803671145afbc2f51f272
    set gst-codec-installer's transitional window id to the QApp's
    activeWindow's (if any)
  * Add kubuntu_06_forward_events.diff
    http://gitorious.org/phonon/phonon/commit/211f1d0269de59238754df6ab147f2fdea63fba2
    Forward mouse/key events in VideoWidget to QWidget,
    otherwise the videowidget eats the mouse when in fullscreen in dragonplayer
  * Add kubuntu_07_include_fix.diff
    http://gitorious.org/phonon/phonon/commit/56f731f9fd763fb8b371abab210fbe01b8cdcd21
    include fix

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 04 Dec 2010 16:26:08 +0000

phonon (4:4.7.0really4.4.3-0ubuntu3) natty; urgency=low

  * Separate libphononexperimental4.symbols for i386 and amd64

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 29 Nov 2010 23:14:24 +0000

phonon (4:4.7.0really4.4.3-0ubuntu2) natty; urgency=low

  * Create new package libphononexperimental4 for libphononexperimental
    as requested by upstream (Harald), headers in libphonon-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 25 Nov 2010 16:10:25 +0000

phonon (4:4.7.0really4.4.3-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 25 Nov 2010 11:34:29 +0000

phonon (4:4.7.0really4.4.2-1ubuntu2) natty; urgency=low

  * export CXXFLAGS += -Wa,-mimplicit-it=thumb on armel to work around Thumb 2
    IT instruction porting problems in debian/rules
  * Add debian/patches/kubuntu04_no_va_mangle.patch to pass -Wno-psabi to
    remove unneeded VA list related warnings (thanks to Alessandro Ghersi)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 27 Oct 2010 12:57:47 -0400

phonon (4:4.7.0really4.4.2-1ubuntu1) natty; urgency=low

  * Merge with Debian, remaining changes:
   - Bump version number to make it installable
   - Bump the Breaks version too. I really should have test installed that.
   - Bump Qt build-depends to 4.7

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 15 Oct 2010 14:15:27 +0100

=== debian/control ===
Source: phonon
Section: sound
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.4.13), cmake (>= 2.6.2), pkg-kde-tools (>= 0.12),
 dpkg-dev (>= 1.15.5), automoc, libglib2.0-dev,
 libpulse-dev (>= 0.9.21), libqt4-dev (>= 4.5), libx11-dev
Standards-Version: 3.9.2
Homepage: http://phonon.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-req/phonon.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-req/phonon.git

Package: phonon
Architecture: all
Depends: ${misc:Depends}, libphonon4 (>= ${source:Version}),
 ${phonon:Recommended-Backend} | phonon-backend
Suggests: ${phonon:Recommended-Backend}, phonon-backend-vlc,
 phonon-backend-xine, phonon-backend-mplayer
Description: multimedia framework from KDE - metapackage
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This metapackage ensures that the system has a working Phonon configuration
 installed (the core library and at least one back-end).

Package: libphonon-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libphonon4 (= ${binary:Version}),
 ${sameVersionDep:libqt4-dev:libphonon4}, phonon-backend-null | phonon
Replaces: libphonon4-designer (<< 4:4.7.0really4.5.0-3ubuntu1~)
Breaks: libphonon4-designer (<< 4:4.7.0really4.5.0-3ubuntu1~)
Description: multimedia framework from KDE - development files
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the development files needed to build Qt 4 applications
 using the Phonon cross-platform multimedia framework.

Package: libphonon4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: phonon-backend-xine (<< 4:4.7.0really4.3.80)
Description: multimedia framework from KDE - core library
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the core library of the Phonon cross-platform multimedia
 framework from KDE. It is required to run applications that use Phonon.

Package: libphononexperimental-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libphononexperimental4 (= ${binary:Version}),
 ${sameVersionDep:libqt4-dev:libphononexperimental4}
Replaces: libphonon-dev (<< 4:4.7.0really4.5.0-3ubuntu1~)
Breaks: libphonon-dev (<< 4:4.7.0really4.5.0-3ubuntu1~)
Description: multimedia framework from KDE - experimental development files
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the development files needed to build Phonon back-ends
 or internal applications which need the Phonon-Experimental library.
 Third-party applications should not depend on this library. Please read
 README.Debian if you are considering a build-dependency on this package.

Package: libphononexperimental4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: phononexperimental-abi-1
Replaces: libphonon4 (<< 4:4.7.0really4.3.80)
Breaks: libphonon4 (<< 4:4.7.0really4.3.80)
Description: multimedia framework from KDE - experimental library (internal)
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the Phonon-Experimental library, which might be needed
 by Phonon back-ends or other internal applications. Third-party applications
 should not depend on this library. Please read README.Debian before using this
 library.

Package: phonon-backend-null
Architecture: all
Provides: phonon-backend
Depends: libphonon4, ${misc:Depends}
Conflicts: phonon-backend
Description: multimedia framework from KDE - null back-end (no real back-end)
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package does not provide any real Phonon back-end. It can be used to
 disable Phonon audio/video capabilities. Please note that Phonon behavior
 with this package installed has not been well tested.

Package: phonon-dbg
Priority: extra
Architecture: any
Section: debug
Depends: ${misc:Depends}, libphonon4 (= ${binary:Version})
Suggests: libphononexperimental4 (= ${binary:Version})
Conflicts: phonon-backends-dbg
Description: multimedia framework from KDE - debugging symbols
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains debugging symbols for the Phonon library and its main
 back-ends. Install it if you want to report a crash or debug a problem with
 Phonon or its back-ends.

Package: libphonon4-designer
Architecture: all
Depends: ${misc:Depends}, libphonon-dev (>= ${source:Version})
Description: transitional package for libphonon-dev
 The Phonon Qt4 Designer plugin has been moved to the libphonon-dev package.
 .
 This is a dummy transitional package and can be safely removed after the
 installation is complete.

=== debian/rules ===
#!/usr/bin/make -f

dh = --dbg-package=phonon-dbg

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

# Enable strict interdependencies
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

RECOMMENDED_PHONON_BACKEND := phonon-backend-gstreamer

override_dh_auto_configure:
	$(overridden_command) -- -DPLUGIN_INSTALL_DIR=/usr/lib/qt4/

# shlibs is needed for library-packages.mk (strict shlibs) to work
override_dh_makeshlibs:
	$(overridden_command) -plibphonon4 -V'libphonon4 (>= $(dqk_upstream_version)), phonon'
	$(overridden_command) -V --remaining-packages

override_dh_shlibdeps:
	$(overridden_command) -- -xphonon

override_dh_gencontrol:
	# Expand some variables in maintainer scripts and debconf templates
	@for f in debian/*/DEBIAN/post* \
	          debian/*/DEBIAN/pre* \
	          debian/*/DEBIAN/config \
	          debian/*/DEBIAN/templates; do \
	    if [ -f "$$f" ]; then \
	        cmd="awk -f debian/expand_vars.awk -v recommended_backend='$(RECOMMENDED_PHONON_BACKEND)' -- $$f > $$f.tmp && cat $$f.tmp >| $$f && rm -f $$f.tmp"; \
	        echo "$$cmd"; eval "$$cmd"; \
	    fi; \
	done
	if [ -d debian/phonon-backend-null ]; then \
	    sed -i 's/\$${recommended_backend}/$(RECOMMENDED_PHONON_BACKEND)/g' \
	        debian/phonon-backend-null/usr/share/doc/phonon-backend-null/README.Debian; \
	fi
	$(overridden_command) -- -Vphonon:Recommended-Backend=$(RECOMMENDED_PHONON_BACKEND)

## phonon 4.7.0really4.6.0

=== debian/changelog ===
phonon (4:4.7.0really4.6.0-0ubuntu1) precise; urgency=low

  [ Jonathan Riddell ]
  * New upstream release
  * Fix cmake line for multiarch in debian/rules, thanks to Felix Geyer

  [ Felix Geyer ]
  * Update install files.
  * Refresh patches.

 -- Felix Geyer <debfx@ubuntu.com>  Thu, 16 Feb 2012 12:48:13 +0100

phonon (4:4.7.0really4.5.1-0ubuntu3) precise; urgency=low

  * Change phonon-backend-null to arch:any and multi-arch:same so it can copy
    the debconf template from phonon. And also it depends on libphonon4 so we
    need to make sure it's pulled in from the correct architecture.

 -- Felix Geyer <debfx@ubuntu.com>  Thu, 15 Dec 2011 22:37:41 +0100

phonon (4:4.7.0really4.5.1-0ubuntu2) precise; urgency=low

  * Build for multiarch. (LP: #893170)
    - Switch to debhelper compat level v9.
    - Change phonon to arch:any and multi-arch:same.
    - Update no_rpath.patch to include multiarch lib paths.
    - Fix debconf prompt to cope with multi-arch:same phonon package.
  * Drop libphonon4-designer transitional package, it's not needed anymore.

 -- Felix Geyer <debfx@ubuntu.com>  Thu, 15 Dec 2011 21:40:54 +0100

phonon (4:4.7.0really4.5.1-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge from Debian unstable, remaining changes:
    - Change default backend to phonon-backend-gstreamer.
    - Bump version in dependencies and symbols files from 4:4.6.0 to 4:4.7.0.
    - libphononexperimental-dev Replaces/Breaks
      libphonon-dev (<< 4:4.7.0really4.5.0-3ubuntu1~).
    - phonon-dbg Conflicts phonon-backends-dbg.
    - Add transitional package libphonon4-designer.
    - libphonon-dev Breaks/Replaces libphonon4-designer as the Qt Designer
      plugin is now part of libphonon-dev.
    - Add README.Ubuntu
    - Remove build-dep on libqzeitgeist-dev, not in main
    - Fix path of libphononwidgets.so in libphonon-dev.install for multiarch
  * Remove patch now upstream
    - upstream_PHONON_EXPORT_DEPRECATED.diff
    - kubuntu_phonon-4.5.0-fix-capture-categories.patch
    - kubuntu_phonon-4.5.0-fix-capture-device-pulseaudio-order.patch
    - kubuntu_phonon-4.5.0-fix-capture-devices.patch
    - kubuntu_phonon-4.5.0-fix-device-categories.patch
    - kubuntu_phonon-4.5.0-pulse-qpow.patch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 22 Nov 2011 22:46:09 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 dh = --dbg-package=phonon-dbg
 
@@ -11,7 +13,7 @@
 RECOMMENDED_PHONON_BACKEND := phonon-backend-gstreamer
 
 override_dh_auto_configure:
-	$(overridden_command) -- -DPLUGIN_INSTALL_DIR=/usr/lib/qt4/
+	$(overridden_command) -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT=ON
 
 # shlibs is needed for library-packages.mk (strict shlibs) to work
 override_dh_makeshlibs:

=== debian/watch ===
version=3

opts=uversionmangle=s/^/4.7.0really/ \
ftp://ftp.kde.org/pub/kde/stable/phonon/([\d.]+)/src/ phonon-([\d.]+).tar.(?:bz2|xz)
